Kepler - Bug #3195

Check all documentation for 1.0 release
04/02/2008 08:41 AM - Chad Berkley

Status: Resolved Start date: 04/02/2008
Priority: Immediate Due date:

Assignee: Chad Berkley % Done: 0%
Category: documentation Estimated time: 0.00 hour
Target version: 1.0.0 Spent time: 0.00 hour
Bugzilla-ld: 3195

Description

All of the documentation needs to be checked for accuracy and completeness before the 1.0 release, which is currently scheduled for
April 25.

History

#1 - 04/09/2008 01:12 PM - Chad Berkley

Kirsten has found a bunch of actors that still have no documentation. Here's the current list:

AddPointToSVG (no documentation--IN BOTH HEIRARCHIES)
AlignmentEditor(Seaview) (no docs)
AnyofParameter (no docs)
ArchiveCounter (no docs)

ArrayAppend (no docs-- IN BOTH HEIRARCHIES)
ClustalWSegAlign (no docs)
CopyFromNode (no docs)
CopyToNode (no docs)
CreateExpressionFromQuery (no docs)
CreateRequestFromResult (no docs)
EndPlanFile (no docs)

ExecuteOnNode (no docs)
GAMESSPIanFileGenerator (no docs)
GriddlesFileCopy (no docs)
HistogramPlotter (no docs)
JCOGGridFTP ("docs coming soon"; Jagan Kommineni)
JCOGProxyExec ("docs coming soon")
JCOGWorkflowExec ("docs coming soon")
JRunCIPRes (no docs)

JobCreator (no docs)

JobGetDirectory (no docs)
JobGetRealJobID (no docs)
JobManager (no docs)

JobRemover (no docs)

JobStatus (no docs)

JobSubmitter (no docs)

Logger (no docs)

MappedLogger (no docs)
MastOpallnput (no docs)
MemeOpallnput (no docs)

OnError (no docs)

OneofParameter (no docs)
PAUPConsensustrees (no docs)
RandomParameter (no docs)
RangePointsParameter (no docs)
RangeStepParameter (no docs)
RunCompositeActor (no docs)
SRBAddMetadata (no docs)

SRBSput (no docs)

SRBStreamPut (no docs)
SequenceScope (no docs)
ServerExecute (no docs)
SingleParemeter (no docs)

Sleep (no docs)

StartPlanFile (no docs)

Substitute (no docs)
SyncOnTerminator (no docs)
TempActor (no docs)
TriggeredEnumltem

#2 - 04/17/2008 05:01 PM - Chad Berkley

page 13: Kepler 1.0 is based on the Jan 31 ...
It's based on Ptolemy 7 beta 2

page 13: cheminformatics
is that the right word?

page 14: visual editor based on java
It's written in java, not based on it.

page 15: toplevel
should be "top level"

page 16: version 1 was released Feb 28, 2008
May 2, 2008 (at this point)

page 18: To create an anonymous...

The commands are not creating an account, they are using the anonymous account to

check out kepler from the CVS server. It should read something like
"To anonymously check out the Kepler source code..."

This section should probably also have the commands needed, i.e.
export CVS_RSH=ssh

export CVSROOT=:ext:anonymous@cvs.ecoinformatics.org:/cvs

cvs checkout kepler

page 19: documentation is in the kepler-docs module...
should this be in courier? Maybe just a side note or something

page 19: typo: ...account to be able to do register.

page 22: 296 MB
change to 300 MB

page 22: CPU 2 GHz
either this needs to be "CPU...." or it should be "2 GHz CPU..."

page 22: it looks like there are some missing dashes after "Network connection..."

and "R software..."

page 23: the version of R that is distributed with kepler is now 2.6.2
page 24: screen shots say RC1 on them. might want to redo them.
page 24: wrong verison of R (2.4.0)

page 25: we are now distributing a version of kepler for the mac with R

page 25: download instructions for the mac installer are wrong. It will be
distributed as a jar file, which can be double clicked on, but there is

no decompression step. Also, no shortcut will appear on the desktop for the mac.

page 26: need to redo the linux installer section when that installer is done
page 26: the kepler icon will not be on the desktop for the mac. it will be
in Applications/Kepler. The user can drag it to the desktop or the dock if
he/she desires.

page 34: 2.4.3 seems to indicate that there is only a search field for data
when there is a search field for components too

page 35: the heading for 2.4.3.2 is widowed. it should be down on 36.

page 36: "The Kepler EarthGrid". This should be refered to as the EarthGrid,
not the "kepler earthgrid".

page 37: "~"is not a command, it's a shortcut or alias. the command to
move to your home dir is 'cd ~'

page 37: telling a user to "manually empty the cached version" is dangerous.

| don't think we should ever tell a user to delete stuff from the .kepler
directory.
page 39: the 2.4.4 is widowed

page 41: should probably say "see ptolemy docs" when referring to changing
an actor to a class

page 42: is there a screenshot missing? the navigation area section
seems empty

page 59: the font size gets strangely small above figure 3.14
page 60: figure 3.15, the caption is half bold, half normal
page 60: the chart is widowed

page 62: the text type in the table changes to courier in the arrayType
description

page 73: 4.2.2 heading has two sizes of fonts
page 80: the caption for figure 4.10 is orphaned on the next page
page 81: $kepler should be kepler

page 85: figure 4.15 caption refers to the "kepler earthgrid". should just be
"earthgrid"

page 89: kepler earthgrid
made it to page 103. continue the rest tomorrow.
#3 - 04/18/2008 07:52 AM - Christopher Brooks
Chad wrote:
page 13: Kepler 1.0 is based on the Jan 31 ...
It's based on Ptolemy 7 beta 2
Kepler 1.0 is based on Ptolemy I 7.0.2
page 22: CPU 2 GHz

either this needs to be "CPU...." or it should be "2 GHz CPU..."

BTW - | run Kepler on a 1.8Ghz laptop and it is fine. | don't
know if this needs to be changed though.

#4 - 04/18/2008 03:59 PM - Chad Berkley
page 115: figure 5.17 looks kinda bad. the pull out box needs to be redone.
page 122: reference to the "kepler earthgrid"

page 124: "easily enlarged". | don't think this is the right terminology.
Maybe "easily appended" or something.

page 128: "Components Access area". | haven't seen the library refered to
like this before. | think it's kind of confusing.

page 129: Array Max is widowed.

page 130: Data Query is widowed

page 131: directors is widowed

page 133: GAMES is TBD in red

page 134: image processing is widowed
page 135: select is widowed

page 138: units is widowed

page 142: Tools/Create composite actor does not do the same thing as dragging
a composite from the library. this should be made clear. the "create composite
actor" menu creates a composite actor from whatever components are highlighted
on the canvas.

page 157:5.5.2.1 is widowed
page 165: kepler earthgrid
left off at page 170.

#5 - 04/21/2008 11:45 AM - Chad Berkley

need to update http://www.kepler-project.org/Wiki.jsp?page=Documentation

#6 - 04/21/2008 04:34 PM - Chad Berkley
page 170: heading of table is widowed

page 181: kepler earthgrid

page 181: table header widowed

page 183: in the description of EML, | think we should say that even though
EML was developed by the ecological community, it is a broad specification
that can easily be used by other domains.

page 183: kepler earthgrid

page 184: "all of the mechanical issues" this phrase seems out of place. maybe
just simplify the phrase a bit.

page 186: table 6.2. need a space between "actors" and "only" in the namespace row
page 197: widowed table

page 206: widowed table

page 213: typo: streches should be stretches

page 221: maybe need a note telling windows users that they may have to install
3rd party software to make scp work.

page 233: SRBQueryMetedata should be SRBQueryMetadata
page 267: R is included with the Mac. Not with linux, though.
left off at page 276

#7 - 04/22/2008 04:50 PM - Chad Berkley

page 280: The page ends with "can be found here:" but the path after the colon
is not a link.

page 303: include a URL for the ENM demos
page 306: the heading for the PIW workflow is widowed

page 313: we are not yet supporting JDK6. They need to get Java 5
http://java.sun.com/javase/downloads/index_jdk5.jsp

page 314: We do not use the Ptolemy coding style in kepler. This link should
be removed and possibly replaced with the sun java coding best practices:
http://java.sun.com/docs/codeconv/

page 325: section 10.2.2 it needs to be made clear that to use the compilation
mathod that is described, the user must be using the nightly build or some other
pre-compiled development version of kepler. the build/kepler.jar file will

not exist in a source only checkout.

page 336: "...that includes source code" should be "...that includes executable code"
the .class file is not source.

page 337: R is now included with the mac

page 340: it looks like this section is incomplete. there is a small outline at
the bottom of the page.
page 395: EcoGrid should be EarthGrid (or EarthGrid formerly the EcoGrid)

Done with User Manual review.

#8 - 04/24/2008 11:45 AM - Chad Berkley

finished reviewing the GSG. | checked my changes into CVS with track changes on.

#9 - 04/25/2008 09:59 AM - Kirsten Menger-Anderson
I've incorporated Chad's User Manual and GSG feedback and created new PDF files of the docs for the 1.0.0 release. Also updated the doc wiki
page.

One thing that came up during this process is that not all of the workflows used in screenshots in the User Manual are in the /demos directory (e.g.,
SRB and a Maxent workflow used to illustrate the ExternalExecution actor--others as well). It would be nice if these workflows were more easily
accessible to users (most are in the workflows directory). | do not currently have a complete list of workflows, but perhaps this can be a todo for the
next release?

#10 - 04/28/2008 02:10 PM - Chad Berkley

| have now reviewed all documentation. Kirstin is making changes and will have the pdf files for the release hopefully by wednesday.

#11 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3195
